Results 1 to 7 of 7

Thread: 3.3u, twilight hack and downgrading

  1. #1
    New Member
    Join Date
    Jan 2009
    Posts
    8
    Thanks
    0
    Thanked 0 Times in 0 Posts

    3.3u, twilight hack and downgrading

    Hi everyone. Just seeking some information on what to do.

    I currently have my wii at 3.3u, twilight hack working, playing backup games. Just so everyone knows, my only interest is downloading and playing ntsc games, I don't plan on other regions. In addition, at some point down the road, I might like to buy an original retail game and play them. So here's my questons.

    1. Given my circumstances, should I downgrade to 3.2U?
    I believe in 3.3 if an original disc requires an update, it still prompts you, so if it does I would say no?

    2. I know one HUGE benefit of starfall is blocking updates. If I try to play a game that requires a disc update, and starfall blocks it, can I then play the game or will it just exit because I don't update? I believe Wii Fit is one that asks for updates.

    3. One of my biggest concerns about downgrading though is loss of functionality of my wii channels. I currently have working:
    wii fit channel, mii channel, photo channel, wii shop, news channel, forecast channel, and wii + internet. Of these, vitally important to my wife is wii fit, mii, and photo channel. Will downgrading to 3.2 stop these channels from working?

    Thanks so much for your time reading my questions and your help.

  2. #2
    Senior Member admiral victorinox's Avatar
    Join Date
    Apr 2008
    Location
    michigan
    Posts
    4,940
    Thanks
    1
    Thanked 2,603 Times in 873 Posts
    i would, and yes it does

    yes, but it might need the update so it wont load

    you wont if you do it right, and if you do you can try updating them

    http://www.wiihacks.com/recommended-...atutorial.html

  3. #3
    New Member
    Join Date
    Jan 2009
    Posts
    8
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Thanks for the response admiral. One last quick question out of curiosity. If I have homebrew channel and backup launcher already installed, and my wii gets updated to 3.4U by a retail/original game, will the homebrew channel and backup launcher still work?
    Last edited by swope1221; 01-13-2009 at 06:04 PM.

  4. #4
    Senior Member admiral victorinox's Avatar
    Join Date
    Apr 2008
    Location
    michigan
    Posts
    4,940
    Thanks
    1
    Thanked 2,603 Times in 873 Posts
    Yes, but you need to patch several things, and edit it greatly, to get everything back to how it was

  5. #5
    New Member
    Join Date
    Jan 2009
    Posts
    8
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Thank you again. Your posts are very informative and clear. One last ?. I have heard that even though firmware on the wii is up to 3.4, that no game currently uses it. If that's true, what's the highest firmware any wii game requires? If it's not true, then I guess I will avoid any games that require 3.4.

  6. #6
    Senior Member admiral victorinox's Avatar
    Join Date
    Apr 2008
    Location
    michigan
    Posts
    4,940
    Thanks
    1
    Thanked 2,603 Times in 873 Posts
    people say AC+ have it others say they dont, i dont really got a clue nor do i care xD

  7. #7
    Junior Member
    Join Date
    Jan 2009
    Posts
    4
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Searching for ISO file loader info and saw your post.
    I too started with 3.3U
    you can check out my thread for what guides I used if you're worried about anything.
    here's the link:
    http://www.wiihacks.com/introduction...html#post58698

    Right now searching on how to play backups. I have 3.2u running and did everything but never saw the name "starfall" while installing...

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •